from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XShapeArranger(XInterface, Protocol):
    def arrange(self, xShapes: XShapes, eType: Arrangement) -> None: ...
    def bringToFront(self, xShapes: XShapes, nSteps: int) -> None: ...
    def sendToBack(self, xShapes: XShapes, nSteps: int) -> None: ...
    def setBehindShape(self, xShapes: XShapes, xShape: XShape) -> None: ...
    def setInFrontOf(self, xShapes: XShapes, xShape: XShape) -> None: ...
    def reverseOrder(self, xShapes: XShapes) -> None: ...
